uk.gov.hmrc.address.v2

# BLPUState

###
Related Doc: package v2

#### final class BLPUState extends Enum[BLPUState]

Linear Supertypes
Enum[BLPUState], Serializable, Comparable[BLPUState], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BLPUState
2. Enum
3. Serializable
4. Comparable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### final def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     Enum → AnyRef
   Annotations
     @throws( ... )

6. #### final def compareTo(arg0: BLPUState): Int

   Definition Classes
     Enum → Comparable

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### final def equals(arg0: Any): Boolean

   Definition Classes
     Enum → AnyRef → Any

9. #### final def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     Enum → AnyRef

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def getDeclaringClass(): Class[BLPUState]

    Definition Classes
      Enum

12. #### final def hashCode(): Int

    Definition Classes
      Enum → AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def name(): String

    Definition Classes
      Enum

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def ordinal(): Int

    Definition Classes
      Enum

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      Enum → AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Enum[BLPUState]

### Inherited from Serializable

### Inherited from Comparable[BLPUState]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped